Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.internal.artifacts.dsl.dependencies
Class DefaultDependencyHandler

    java.lang.Object
      org.gradle.api.internal.artifacts.dsl.dependencies.DefaultDependencyHandler

    class DefaultDependencyHandler
    extends java.lang.Object

author:
  Hans Dockter

Property Summary
`ConfigurationContainer` | `configurationContainer`
`org.gradle.api.internal.artifacts.dsl.dependencies.DependencyFactory` | `dependencyFactory`
`org.gradle.api.internal.artifacts.dsl.dependencies.ProjectFinder` | `projectFinder`

Constructor Summary
`DefaultDependencyHandler(ConfigurationContainer configurationContainer, DependencyFactory dependencyFactory, ProjectFinder projectFinder)`

Method Summary
`Dependency` | `add(java.lang.String configurationName, java.lang.Object dependencyNotation)`
`Dependency` | `add(java.lang.String configurationName, java.lang.Object dependencyNotation, groovy.lang.Closure configureClosure)`
`def` | `methodMissing(java.lang.String name, def args)`
`Dependency` | `module(java.lang.Object notation)`
`Dependency` | `module(java.lang.Object notation, groovy.lang.Closure configureClosure)`
`Dependency` | `project(java.lang.Object notation, groovy.lang.Closure configureClosure)`
`Dependency` | `project(java.lang.Object notation)`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Property Detail

### configurationContainer

    ConfigurationContainer configurationContainer

### dependencyFactory

    org.gradle.api.internal.artifacts.dsl.dependencies.DependencyFactory dependencyFactory

### projectFinder

    org.gradle.api.internal.artifacts.dsl.dependencies.ProjectFinder projectFinder

Constructor Detail

### DefaultDependencyHandler

    public DefaultDependencyHandler(ConfigurationContainer configurationContainer, DependencyFactory dependencyFactory, ProjectFinder projectFinder)

Method Detail

### add

    public Dependency add(java.lang.String configurationName, java.lang.Object dependencyNotation)

### add

    public Dependency add(java.lang.String configurationName, java.lang.Object dependencyNotation, groovy.lang.Closure configureClosure)

### methodMissing

    public def methodMissing(java.lang.String name, def args)

### module

    public Dependency module(java.lang.Object notation)

### module

    public Dependency module(java.lang.Object notation, groovy.lang.Closure configureClosure)

### project

    public Dependency project(java.lang.Object notation, groovy.lang.Closure configureClosure)

### project

    public Dependency project(java.lang.Object notation)

Groovy Documentation